Gtk2::TextMark(3p)

NAME
Gtk2::TextMark - wrapper for GtkTextMark

HIERARCHY
  Glib::Object
  +----Gtk2::TextMark

METHODS

  textmark = Gtk2::TextMark->new ($name, $left_gravity)

•   $name (string or undef)

•   $left_gravity (boolean)

Since: gtk+ 2.12

  textbuffer or undef = $mark->get_buffer

  boolean = $mark->get_deleted

  boolean = $mark->get_left_gravity

  string or undef = $mark->get_name

  boolean = $mark->get_visible

  $mark->set_visible ($setting)

•   $setting (boolean)

PROPERTIES

'left-gravity' (boolean : default false : readable / writable / construct-only / private / static-nick / static-blurb)
    Whether the mark has left gravity

'name' (string : default undef : readable / writable / construct-only / private / static-nick / static-blurb)
    Mark name

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.